Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451801 - maxima-gcl build failure, sincos is undefined
Summary: maxima-gcl build failure, sincos is undefined
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcl
Version: 9
Hardware: i686
OS: Linux
low
low
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-17 14:03 UTC by Rex Dieter
Modified: 2009-01-20 14:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 14:37:06 UTC


Attachments (Terms of Use)

Description Rex Dieter 2008-06-17 14:03:09 UTC
Tail end of build.log:

Loading binary-gcl/numerical/slatec/zexp.o
sincos is undefined
Error in FUNCALL [or a callee]: 
Cannot get relocated section contents
Fast links are on: do (use-fast-links nil) for debugging
Broken at CONDITIONS::CLCS-LOAD.
 1 (Continue) Retry loading file "binary-gcl/numerical/slatec/zexp.o".
 2 (Abort) 
Return to debug level 1.
 3 Return to top level.
dbl:>>>

Comment 1 Rex Dieter 2008-06-17 14:05:42 UTC
failed build reference:
http://koji.fedoraproject.org/koji/taskinfo?taskID=665061

Comment 2 Rex Dieter 2008-06-17 14:28:07 UTC
duh, obviously not a ppc issue here.

Comment 3 Jerry James 2009-01-18 23:13:08 UTC
I have pushed GCL builds for F-9, F-10, and Rawhide that I *think* should fix this problem.  Once the next compose happens, could you try this out again and post here whether it is fixed or not?  Thanks.

Comment 4 Rex Dieter 2009-01-18 23:20:57 UTC
Excellent, I'll give it a whirl when I get a chance.

Comment 5 Rex Dieter 2009-01-20 14:37:06 UTC
Woo hoo,  we have a winner.  thanks.

* Sun Jan 18 2009 Rex Dieter <rdieter@fedoraproject.org> - 5.17.1-3
- reenable gcl on i386 (#451801), x86_64 (#427250), ppc (#167952)


Note You need to log in before you can comment on or make changes to this bug.